Loading...
Searching...
No Matches
etl::istate_chart< TParameter > Class Template Referenceabstract

For non-void parameter types. More...

`#include <state_chart.h>`

## Public Types

typedef TParameter | parameter_t
typedef state_chart_traits::state_id_t | state_id_t
typedef state_chart_traits::event_id_t | event_id_t

## Public Member Functions

| istate_chart (state_id_t initial_state_id)
virtual void | start (bool on_entry_initial=true)=0
virtual void | process_event (event_id_t, parameter_t)=0
state_id_t | get_state_id () const

## Protected Attributes

state_id_t | current_state_id
| The current state id.

## Detailed Description

template<typename TParameter>
class etl::istate_chart< TParameter >

For non-void parameter types.

## Member Function Documentation

## get_state_id()

template<typename TParameter>

state_id_t etl::istate_chart< TParameter >::get_state_id | ( |  | ) | const

inline

Gets the current state id.

Returns
  The current state id.

## process_event()

template<typename TParameter>

virtual void etl::istate_chart< TParameter >::process_event | ( | event_id_t | ,
|  | parameter_t | )

pure virtual

Implemented in etl::state_chart_ctp< TObject, TParameter, TObject_Ref, Transition_Table_Begin, Transition_Table_Size, State_Table_Begin, State_Table_Size, Initial_State >.

## start()

template<typename TParameter>

virtual void etl::istate_chart< TParameter >::start | ( | bool | on_entry_initial = true | ) |

pure virtual

Implemented in etl::state_chart_ctp< TObject, TParameter, TObject_Ref, Transition_Table_Begin, Transition_Table_Size, State_Table_Begin, State_Table_Size, Initial_State >.

The documentation for this class was generated from the following file:

- include/etl/state_chart.h